package com.engine.organization.wrapper;

import com.engine.common.util.ServiceUtil;
import com.engine.core.impl.Service;
import com.engine.organization.service.NonStandardOptService;
import com.engine.organization.service.impl.NonStandardOptServiceImpl;
import weaver.hrm.User;

/**
 * @author:dxfeng
 * @createTime: 2022/09/01
 * @version: 1.0
 */
public class NonStandardOptWrapper extends Service {
    private NonStandardOptService getNonStandardOptService(User user) {
        return ServiceUtil.getService(NonStandardOptServiceImpl.class, user);
    }

    public void NonStandardOpt(String method, String ids) {
        getNonStandardOptService(user).NonStandardOpt(method, ids);
    }
}
